## BanditClassic
- Adds Bandit to the character select and modifies his skills so that he feels a bit more like he did in RoR1. Highly customizable!

	- Blast (8 shots, 1.2s reload)
		- Fire a powerful slug for 200% damage.
		- Click faster to shoot faster!
		- Fire rate is 0.3s per shot when autofiring, 0.2s while mashing the fire button.
		- If you don't want the mash to shoot faster mechanic, I recommend setting Blast's Auto firerate and Max firerate to 0.25s in the config.
	- Lights Out (6s cooldown)
		- Take aim with a revolver, dealing 600% damage. If the ability kills an enemy, cooldowns are all reset to 0. Reloads Blast when used.
		- Experimental tweaks (Gain damage on levelup and Execute low HP enemies) can be enabled at the end of the config file. I recommend only enabling one of these at a time.
	- Smokebomb (6s cooldown)
		- Turn invisible. After 3 seconds or after using another ability, surprise and stun enemies for 140% damage.
	- Acid Bomb (6s cooldown)
		- Toss an explosive in a straight line for 400% damage.
		- Enemies caught in the explosion are Weakened.
		
##Read This
Lights Out Execute and Acid Bomb must be enabled on the host to work.

## Installation
Drop BanditClassic.dll into \BepInEx\plugins\
Settings can be changed in BepInEx\config\com.Moffein.BanditClassic.cfg

## Changelog
- 1.0.0
	- Initial Release
- 1.0.1
	- Attempted to fix README formatting
- 1.0.2
	- Attempted to fix README formatting
- 1.1.0
	- Added a config file
	- Added experimental Lights Out damage gain on levelup (disabled by default)
	- Added experimental Lights Out execute on low HP (disabled by default)
- 1.1.1
	- Smokebomb: Increased delay before skills can be used after entering cloak from 0.1 to 0.5 to prevent Hardlight Afterburner from accidentally using multiple charges
		- This can be changed in the config
	- Added a config option for modifying Lights Out base damage
	- Changed default max Lights Out execute max scaling from 0.1->0.05
- 1.2.0
	- Fixed Smokebomb not working in multiplayer(?)
	- Fixed the config value for Grenade Toss damage not actually changing the damage.
- 1.2.1
	- Implemented mistername's ice explosion fix
- 1.3.0
	- Fixed Lights Out execute causing Rex to break
	- Added Lights Out ignores armor option
	- Added options for changing Lights Out/Smokebomb/Grenade Toss cooldowns
	- Increased default Blast reload time from 1s to 1.2s
	- Increased default Smokebomb cooldown from 9s to 10s
	- Changed default Lights Out execute base value from 0.05 to 0.02
	- Changed default Lights Out execute max scaling from 0.05 to 0.08
- 1.3.1 to 1.3.3
	- Attempted to fix README formatting
- 1.3.4
	- Fixed README formatting
- 1.3.5
	- Changed README skills overview so that it describes the skills rather than how they are different from the unfinished default bandit
	- Changed default Grenade Toss radius to 8
- 1.4.0
	- Increased Blast base damage from 180% to 190%
	- Added Acid Bomb, an experimental Grenade Toss alternative. The two goals of this addition were to create an ability that encourages focusing on single targets, and to create an ability that benefits from Lights Out's cooldown reset.
	- Fixed Lights Out Execute not working when Lights Out Ignores Armor is enabled
	- Changed the R2API recommended version to the latest
- 1.4.1
	- Disabled Lights Out Ignores Armor by default.
- 1.4.2
	- Updated to work with the Skills 2.0 update. Planning to release a followup update with some skill variants in the coming weeks.
	- Temporarily disabled Lights Out Execute due to the new update
	- Increased Blast base damage from 190% to 200%. My goal with this is to make Blast's DPS good enough to be usable without mashing, though I'm not sure if this is the right route to go with it.
	- Increased Lights Out base duration from 0.5s to 0.65s
- 1.5.0
	- Updated to work with the Skills 2.0 postrelease patch. I was originally planning to hold off and release a big update with a ton of changes, but I figured that it would take too long to release so I backported some features from it.
	- Added menu animation
	- Increased Blast and Lights Out max range from 200 to 500
	- Blast reload scaling option added (Enabled by default)
	- Blast spread reduced from 0.4 to 0.25
	- Blast max spread capped at 1
	- Lights Out Reloads Primary option added (Enabled by default)
	- Reduced Lights Out base duration from 0.65s to 0.6s
	- Reduced Lights Out cooldown from 7s to 6s
	- Added 0.4 seconds of endlag to Lights Out
	- Merged Acid Bomb settings into Grenade Toss. Acid Bomb is now enabled by default.
	- Grenade Toss cooldown increased from 4s to 6s
	- Grenade Toss damage increased from 320% to 400%
	- Reduced Smokebomb cooldown from 10s to 6s and made its cooldown not tick down while invisible to make it comparable to Shadowfade.
	- Smokebomb min duration reduced from 0.5s to 0.4s
	- Added Smokebomb duration config option
	- Re-enabled Lights Out execute. Removed the execute scaling based on level feature to reduce config bloat. No longer uses IL, so hopefully this should improve compatibility with other mods.
- 1.5.1
	- Increased base health regen from 0.6 to 1 and level health regen from 0.12 to 0.2 to be on par with other characters
- 1.5.2
	- Fixed for the Hidden Realms update
	- Added option to swap Lights Out and Acid Bomb slots
	- Enabled Lights Out Execute by default
	- Increased default Lights Out Execute HP threshold from 15% to 20%
	- Fixed missing Character Select text for Lights Out Execute
	- Increased default Smokebomb damage 140% -> 200%
- 1.5.3
	- Fixed Character Select text for Lights Out Execute for real

## Credits
Thunderstore Wiki - Basic coding reference
mistername's Banditplus - Basic coding reference, survivor select display, ice explosion fix, menu animation code
paddywan - Help with IL